Skip to content

Update a notification transport

PUT
/notifications/transports/{id}
curl --request PUT \
--url https://sylve.lan:8181/api/notifications/transports/1 \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "discord": { "webhookUrl": "example" }, "email": { "recipients": [ "example" ], "smtpFrom": "example", "smtpHost": "example", "smtpPassword": "example", "smtpPort": 1, "smtpUseTls": true, "smtpUsername": "example" }, "enabled": true, "name": "example", "ntfy": { "authToken": "example", "baseUrl": "example", "topic": "example" }, "pushover": { "apiToken": "example", "userKey": "example" }, "type": "example" }'

Replace the mutable configuration of one notification transport; omitted credentials remain unchanged, and blank required Pushover credentials are preserved

id
required
integer
>= 1

Notification transport ID

Notification transport

Media typeapplication/json
object
discord
object
webhookUrl
string
email
object
recipients
Array<string>
smtpFrom
string
smtpHost
string
smtpPassword
string
smtpPort
integer
smtpUseTls
boolean
smtpUsername
string
enabled
boolean
name
string
ntfy
object
authToken
string
baseUrl
string
topic
string
pushover
object
apiToken
string
userKey
string
type
string
Examplegenerated
{
"discord": {
"webhookUrl": "example"
},
"email": {
"recipients": [
"example"
],
"smtpFrom": "example",
"smtpHost": "example",
"smtpPassword": "example",
"smtpPort": 1,
"smtpUseTls": true,
"smtpUsername": "example"
},
"enabled": true,
"name": "example",
"ntfy": {
"authToken": "example",
"baseUrl": "example",
"topic": "example"
},
"pushover": {
"apiToken": "example",
"userKey": "example"
},
"type": "example"
}

Success

Media typeapplication/json
object
data
object
transports
Array<object>
object
discord
object
webhookUrl
string
email
object
hasPassword
boolean
recipients
Array<string>
smtpFrom
string
smtpHost
string
smtpPort
integer
smtpUseTls
boolean
smtpUsername
string
enabled
boolean
id
integer
name
string
ntfy
object
baseUrl
string
hasAuthToken
boolean
topic
string
pushover
object
hasApiToken
boolean
hasUserKey
boolean
type
string
error
string
message
string
status
string
Examplegenerated
{
"data": {
"transports": [
{
"discord": {
"webhookUrl": "example"
},
"email": {
"hasPassword": true,
"recipients": [
"example"
],
"smtpFrom": "example",
"smtpHost": "example",
"smtpPort": 1,
"smtpUseTls": true,
"smtpUsername": "example"
},
"enabled": true,
"id": 1,
"name": "example",
"ntfy": {
"baseUrl": "example",
"hasAuthToken": true,
"topic": "example"
},
"pushover": {
"hasApiToken": true,
"hasUserKey": true
},
"type": "example"
}
]
},
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Request Entity Too Large

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}